> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all snapshots of a content type

GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/content_types/{content_type_id}/snapshots

Reference: https://contentful.com/developers/docs/references/content-management-api/snapshots/get-all-snapshots-of-a-content-type

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the Space in form of a string
- `environment_id` (string, required) — environment_id identifier
- `content_type_id` (string, required) — ID of the content type in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .contentTypes()
    .async()
    .fetchOne(
        "<space_id>",
        "master", // only works on master right now ...
        "<content_type_id>",
        new CMACallback<CMAContentType>() {
          @Override protected void onSuccess(CMAContentType contentType) {
            client
                .contentTypes()
                .async()
                .fetchAllSnapshots(
                    contentType,
                    new CMACallback<CMAArray<CMASnapshot>>() {
                      @Override protected void onSuccess(CMAArray<CMASnapshot> snapshots) {
                        final List<CMASnapshot> items = snapshots.getItems();
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful")
                            .setMessage("List of all entry snapshots was successful." +
                                "\n\nResult: " + items.size() + " snapshots found." +
                                "\n\nFirst: " + items.get(0))
                            .show();
                      }

                      @Override protected void onFailure(RuntimeException exception) {
                        // An error occurred! Inform the user.
                        new AlertDialog.Builder(context)
                            .setTitle("Contentful Error")
                            .setMessage("Could not list all an entry snapshots." +
                                "\n\nReason: " + exception.toString())
                            .show();

                        super.onFailure(exception);
                      }
                    }
                );
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not get one content type." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

final CMAContentType contentType = client
    .contentTypes()
    .fetchOne(
        "<space_id>",
        "master", // only works on master right now
        "<entry_id>");

final CMAArray<CMASnapshot> snapshots = client
    .contentTypes()
    .fetchAllSnapshots(contentType);
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

val contentType = client
        .contentTypes()
        .fetchOne(
                "<space_id>",
                "master", // only works on master right now
                "<entry_id>")

val snapshots = client
        .contentTypes()
        .fetchAllSnapshots(contentType)
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
  .then((space) => space.getEnvironment('<environment_id>'))
  .then((environment) => environment.getContentType('<entry_id>'))
  .then((contentType) => contentType.getSnapshots())
  .then((response) => console.log(response.items))
  .catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const snapshots = await client.snapshot.getManyForContentType({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  contentTypeId: '<content_type_id>',
})
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$contentTypeSnapshots = $environment->getContentTypeSnapshots('<content_type_id>');

// Alternatively, from a content type
$contentType = $environment->getContentType('<content_type_id>');
$contentTypeSnapshots = $contentType->getSnapshots();
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

content_type_snapshot = client.content_type_snapshots('<space_id>', '<environment_id>', '<content_type_id>').all

# Alternatively, from a content type

content_type_snapshot = content_type.snapshots.find('<snapshot_id>')
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

content_type_snapshot = client.content_type_snapshots('<space_id>', '<environment_id>', '<content_type_id>').all()

# Alternatively, from a content type

content_type_snapshot = content_type.snapshots().find('<snapshot_id>')
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var allSnapshots = await client.GetAllSnapshotsForContentType("<content_type_id>");
```